#if !defined(AFX_EDITHOLIDAYGROUP_H__AFFC5789_476A_4B9E_99AA_7A87C89567EE__INCLUDED_)
#define AFX_EDITHOLIDAYGROUP_H__AFFC5789_476A_4B9E_99AA_7A87C89567EE__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// EditHolidayGroup.h : header file

#include <afxtempl.h>
//

/////////////////////////////////////////////////////////////////////////////
// CEditHolidayGroup dialog

class CEditHolidayGroup : public CDialog
{
// Construction
public:
	CEditHolidayGroup(CWnd* pParent = NULL);   // standard constructor
	CEditHolidayGroup(IApplication *pApp);

// Dialog Data
	//{{AFX_DATA(CEditHolidayGroup)
	enum { IDD = IDD_DIALOG_EDITHOLGRP };
	CComboBox	m_HolidayList;
	CComboBox	m_AcctList;
	CComboBox	m_HolGrpList;
	BOOL	m_bEveryYear;
	CString	m_sHolName;
	CString	m_sOldHGName;
	int m_iHolType;
	CString	m_sNewHGName;
	CString	m_sExHGName;
	long	m_lDay;
	long	m_lMonth;
	long	m_lYear;
	//}}AFX_DATA

	CMap<long*, long*, CString, CString> m_cMap;


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CEditHolidayGroup)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CEditHolidayGroup)
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeComboAcctlist();
	afx_msg void OnSelchangeComboHolgrplist();
	afx_msg void OnButtonEdit();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
private:
	IApplicationPtr pApplication;
	IHolidayGroupPtr	pHolGrp;
	void LoadAccounts();
	void LoadHolidayGroups();
	void LoadHolidays();
	void LoadHGDetails();
	COleSafeArray m_saHolidays;
	long m_lHolCount;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_EDITHOLIDAYGROUP_H__AFFC5789_476A_4B9E_99AA_7A87C89567EE__INCLUDED_)
